#region Using declarations
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Input;
using System.Windows.Media;
using System.Xml.Serialization;
using NinjaTrader.Cbi;
using NinjaTrader.Gui;
using NinjaTrader.Gui.Chart;
using NinjaTrader.Gui.SuperDom;
using NinjaTrader.Gui.Tools;
using NinjaTrader.Data;
using NinjaTrader.NinjaScript;
using NinjaTrader.Core.FloatingPoint;

#endregion



#region NinjaScript generated code. Neither change nor remove.

namespace NinjaTrader.NinjaScript.Indicators
{
	public partial class Indicator : NinjaTrader.Gui.NinjaScript.IndicatorRenderBase
	{
		
		private POCTrader[] cachePOCTrader;

		
		public POCTrader POCTrader()
		{
			return POCTrader(Input);
		}


		
		public POCTrader POCTrader(ISeries<double> input)
		{
			if (cachePOCTrader != null)
				for (int idx = 0; idx < cachePOCTrader.Length; idx++)
					if ( cachePOCTrader[idx].EqualsInput(input))
						return cachePOCTrader[idx];
			return CacheIndicator<POCTrader>(new POCTrader(), input, ref cachePOCTrader);
		}

	}
}

namespace NinjaTrader.NinjaScript.MarketAnalyzerColumns
{
	public partial class MarketAnalyzerColumn : MarketAnalyzerColumnBase
	{
		
		public Indicators.POCTrader POCTrader()
		{
			return indicator.POCTrader(Input);
		}


		
		public Indicators.POCTrader POCTrader(ISeries<double> input )
		{
			return indicator.POCTrader(input);
		}
	
	}
}

namespace NinjaTrader.NinjaScript.Strategies
{
	public partial class Strategy : NinjaTrader.Gui.NinjaScript.StrategyRenderBase
	{
		
		public Indicators.POCTrader POCTrader()
		{
			return indicator.POCTrader(Input);
		}


		
		public Indicators.POCTrader POCTrader(ISeries<double> input )
		{
			return indicator.POCTrader(input);
		}

	}
}

#endregion
